import request from '@/utils/request'

// 查询财务负责人信息列表
export function listManager(query) {
  return request({
    url: '/basicData/xcrFinancialManager/findByPage',
    method: 'get',
    params: query
  })
}

// 查询财务负责人信息详细
export function getManager(xhCodeId) {
  return request({
    url: '/basicData/xcrFinancialManager/' + xhCodeId,
    method: 'get'
  })
}

// 新增财务负责人信息
export function addManager(data) {
  return request({
    url: '/basicData/xcrFinancialManager',
    method: 'post',
    data: data
  })
}

// 修改财务负责人信息
export function updateManager(data) {
  return request({
    url: '/basicData/xcrFinancialManager',
    method: 'put',
    data: data
  })
}

// 删除财务负责人信息
export function delManager(xhCodeId) {
  return request({
    url: '/basicData/xcrFinancialManager/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delManagerBatch(ids) {
  return request.post('/basicData/xcrFinancialManager/delete',ids)
}
